{% if item.registry is defined %}
	FROM {{ item.registry.url }}/{{ item.image }}
{% else %}
	FROM {{ item.image }}
{% endif %}

{% if item.env is defined %}
	{% for var, value in item.env.items() %}
		{% if value %}
			ENV {{ var }} {{ value }}
		{% endif %}
	{% endfor %}
{% endif %}

RUN yum update -y
RUN yum install -y python3 python3-pip curl epel-release
RUN python3 -m pip install pip --upgrade
RUN python3 -m pip install ansible-core